Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-15031

Unable to create backup - db version mismatch

    XMLWordPrintable

Details

    • Bug
    • Status: Done
    • Blocker
    • Resolution: Done
    • fuse-7.8-GA
    • fuse-7.8-GA
    • Fuse Online

    Description

      When configuring backup, it creates a new pod docker.io/crunchydata/crunchy-pgdump:centos7-9.6.16-4.2.1, this needs to be changed to use 10.12 version:

      oc logs -f db-backup-1602771508-8q4mq -c backup-db-compiler  
      Thu Oct 15 14:20:17 UTC 2020 INFO: Waiting for PostgreSQL to be ready..
      syndesis-db:5432 - accepting connections
      Thu Oct 15 14:20:22 UTC 2020 INFO: Checking if PostgreSQL is accepting queries..
                    now              
      -------------------------------
       2020-10-15 14:20:22.764267+00
      (1 row)
      
      Thu Oct 15 14:20:22 UTC 2020 INFO: Dumping to -f /pgdata/syndesis-db-backups/2020-10-15-14-20-22/syndesis-db.dump 
      Thu Oct 15 14:20:22 UTC 2020 INFO: Taking logical backup of the syndesis database..
      pg_dump: server version: 10.12; pg_dump version: 9.6.16
      pg_dump: aborting because of server version mismatch
      
      

      Attachments

        Activity

          People

            zregvart-redhat Zoran Regvart
            avano@redhat.com Andrej Vano
            Andrej Vano Andrej Vano
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: